From 9b11fd7f4f3ff53fadb649a8e4cd16bb42f93889 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Mon, 30 Mar 2020 21:16:49 +0800
Subject: [PATCH 04/28] utils_misc: change key word for verify_dmesg

When it is running openEuler, just find 'err/fail'
key word in dmesg for verify_dmesg().

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 virttest/utils_misc.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/virttest/utils_misc.py b/virttest/utils_misc.py
index 8541e9d3..62b9ee90 100644
--- a/virttest/utils_misc.py
+++ b/virttest/utils_misc.py
@@ -3222,7 +3222,7 @@ def verify_dmesg(dmesg_log_file=None, ignore_result=False, level_check=3,
     :param raise: if ignore_result=False, raise TestFail exception on
                   observing errors/crash
     """
-    cmd = "dmesg -T -l %s|grep ." % ",".join(map(str, xrange(0, int(level_check))))
+    cmd = "dmesg -T -l %s|grep -iE 'err|fail'" % ",".join(map(str, xrange(0, int(level_check))))
     if session:
         environ = "guest"
         status, output = session.cmd_status_output(cmd)
-- 
2.23.0

